Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.util
Class SmartRandom

    java.lang.Object
      java.util.Random
          org.apache.lucene.util.SmartRandom

All Implemented Interfaces:
  Serializable

    public class SmartRandom

extends Random

A random that tracks if its been initialized properly, and throws an exception if it hasn't.

See Also:
  Serialized Form

Method Summary
`protected int` | `next(int bits)`

Methods inherited from class java.util.Random
`nextBoolean, nextBytes, nextDouble, nextFloat, nextGaussian, nextInt, nextInt, nextLong, setSeed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### next

    protected int next(int bits)

  Overrides:
    `next` in class `Random`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD